Imports System.Runtime.Serialization

Namespace Methods.Database.GetScalarValue

    <Serializable>
    <DataContract>
    Public Class GetScalarValueResponse
        Inherits Messages.BaseResponse

        <DataMember>
        Public Property Scalar As Object

        Public Sub New(pScalarValue As Object)
            MyBase.New()
            Scalar = pScalarValue
        End Sub

        Public Sub New(pException As Exception, Optional pDetails As String = "")
            MyBase.New(pException, pDetails)
        End Sub
    End Class

End Namespace

